ImageMagick wird nur in Xampp 1.7.3 erkannt

Irgendwelche Probleme mit XAMPP für Mac OS X? Dann ist hier genau der richtige Ort um nachzufragen.

ImageMagick wird nur in Xampp 1.7.3 erkannt

Postby neuer400 » 21. September 2013 16:42

Hallo!

Ich würde um einen Tip zu folgender Situation bitten:

Mein System: Mac-mini, OSX 10.8.5

Ich versuche ziemlich erfolglos ImageMAgick in der aktuellsten Xampp-Version zum Laufen zu bringen. Ich stehe vor folgendem Problem.

ImageMagick (6.8.6):
Aktuellste Version von imagemagick.org mittels MacPort installiert, im Terminal "convert" getestet, läuft

Xampp 1.7.3 und Typo3 6.1.4:
Typo3 Blankpackage: Die Pfade von ImageMagick werden automatisch von Typo3 erkannt, GhostScript auch ok, alle Bildformate funktionieren reibungslos

Alle Xampp Versionen über 1.7.3:
Der Typo3 Installer erkennt die Pfade nicht automatisch (opt/local/bin/ in meinem Fall).
Ich schaffe es nicht, im Typo3 Installer die Variablen von ImageMagick zu setzen bzw. werden diese nicht als gültige ImageMagick Installation akzeptiert.
Erfolg: Keine gülte Installation von ImageMagick.

Folgendes versucht:
- ImageMagick deinstalliert und nach Installation von Xammp nochmals installiert.
- Über MAcport: port ImageMagick clean und dannach nochmals installiert, keinerlei Fehler oder broken Files, Dependencies, etc.
- Den IM Pfad in in "All Configuration" des Typo3 Installations Tools gesetzt.
- Die Pfade im Configuration File manuell eingetragen.
- Lese- und Schreibrechte aller Applications/Xampp Datei-Ordner auf Lesen und Schreiben berechtigt gesetzt.
- Safe Mode im php.ini File geprüft: Safe Mode = Off
- Alle verfügbaren Xampp Versionen die ich über SourceForge gefunden hab bis 1.7.3 versucht --> Ab 1.7.3 funktionierts wieder.


Mir fehlt leider die Erfahrung und ich steh jetzt an. Kann mir jemand einen Tip geben, woran das liegt!

Danke vorweg!


Nachtrag:

Konsole liefert:

Dyld Error Message:
Library not loaded: /opt/local/lib/libfreetype.6.dylib
Referenced from: /opt/local/bin/identify
Reason: Incompatible library version: identify requires version 17.0.0 or later, but libfreetype.6.dylib provides version 15.0.0
neuer400
 
Posts: 2
Joined: 21. September 2013 16:08
Operating System: OSX 10.8.5

Re: ImageMagick wird nur in Xampp 1.7.3 erkannt

Postby Nobbie » 22. September 2013 14:31

Das ist ein Installationskonflikt verursacht durch Querstände der installieren Produkte und vorinstallierten Bibliotheken.

Lies mal http://tekkie.flashbit.net/developer-to ... eturning-5

und probiere insbesondere die Lösung von "Constantine Stanishevsky" aus (unter "Responses"). Da sind bestimmte freetype Bibliotheken zu löschen. Es gibt auch noch einen zweiten Hinweis dort von "Matthias", vielleicht hilft auch das.
Nobbie
 
Posts: 8759
Joined: 09. March 2008 13:04

Re: ImageMagick wird nur in Xampp 1.7.3 erkannt

Postby neuer400 » 22. September 2013 20:59

Hi!

Vielen Dank für den Tip. Ich werd mir die Bibliotheken ansehen und checken woher die sind.
Werde Bescheid geben.

Thnx a lot
neuer400
 
Posts: 2
Joined: 21. September 2013 16:08
Operating System: OSX 10.8.5


Return to XAMPP für Mac OS X

Who is online

Users browsing this forum: No registered users and 1 guest